Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.utils
Interface CertRegManagerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ExportMBean, ImportMBean, ListerMBean, NameListerMBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  CertificateRegistryMBean, SAMLIdentityAsserterMBean

public interface CertRegManagerMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, ProviderMBean, ImportMBean, ExportMBean, NameListerMBean

The CertRegManager is used manage a certificate registry that is stored in the embedded LDAP server. This is utility code that is shared by the CertificateRegistry and SAML.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `aliasExists(String alias)` Determines whether or not an alias exists in the registry.
`void` | `copyToDER(String alias, String certificateFile)` writes a certificate in the registry to a file in DER binary format.
`void` | `copyToPEM(String alias, String certificateFile)` writes a certificate in the registry to a file in PEM base64 encoded format.
`X509Certificate` | `getCertificate(String alias)` Retrieves a certificate from the registry.Throws NotFoundException if alias does not exist in the registry.
`String` | `getName()` The name of this configuration.
`String[]` | `getSupportedExportConstraints()` A certificate registry always exports all the certificates in the registry thus does not support export constraints.
`String[]` | `getSupportedExportFormats()` A certificate registry exports trusted CAs to a JKS keystore.
`String[]` | `getSupportedImportConstraints()` A certificate registry always imports all the certificates in a keystore (identities and trusted CAs) thus does not support export constraints.
`String[]` | `getSupportedImportFormats()` A certificate registry imports trusted CAs from a JKS keystore.
`String` | `listAliases(String aliasWildcard, int maxToReturn)` Lists the registered aliases that match a wild card.Returns a String containing a cursor that may be passed into the NameListerMBean methods to read the list.
`void` | `registerCertificate(String alias, String certificateFile)` Registers an end certificate in the registry under an alias.
`void` | `unregisterCertificate(String alias)` Unregisters an end certificate from the registry.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### aliasExists

    public boolean aliasExists(String alias)
                        throws weblogic.management.utils.InvalidParameterException

  Determines whether or not an alias exists in the registry. Throws InvalidParameterException if alias is empty or null.

  Parameters:
    `alias` - - The alias the certificate is registered under. It must not be empty or null. Aliases are case-insensitive.
  Throws:
    `weblogic.management.utils.InvalidParameterException`

### copyToDER

    public void copyToDER(String alias,
                          String certificateFile)
                   throws weblogic.management.utils.NotFoundException,
                          weblogic.management.utils.InvalidParameterException

  writes a certificate in the registry to a file in DER binary format. Throws InvalidParameterException if alias or certificateFile is empty or null or if the file cannot be written to.

  Parameters:
    `alias` - - The alias the certificate is registered under. It must not be empty or null. Aliases are case-insensitive.
    `certificateFile` - - The pathname (relative to the directory the admin server is booted from) of the file to write the certificate to.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### copyToPEM

    public void copyToPEM(String alias,
                          String certificateFile)
                   throws weblogic.management.utils.NotFoundException,
                          weblogic.management.utils.InvalidParameterException

  writes a certificate in the registry to a file in PEM base64 encoded format. Throws InvalidParameterException if alias or certificateFile is empty or null or if the file cannot be written to.

  Parameters:
    `alias` - - The alias the certificate is registered under. It must not be empty or null. Aliases are case-insensitive.
    `certificateFile` - - The pathname (relative to the directory the admin server is booted from) of the file to write the certificate to.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### getCertificate

    public X509Certificate getCertificate(String alias)
                                   throws weblogic.management.utils.NotFoundException,
                                          weblogic.management.utils.InvalidParameterException

  Retrieves a certificate from the registry.Throws NotFoundException if alias does not exist in the registry.

  Parameters:
    `alias` - - The alias the certificate is registered under. It must not be empty or null. Aliases are case-insensitive.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "CertRegManager"
  A dynamic MBean attribute.
    false

### getSupportedExportConstraints

    public String[] getSupportedExportConstraints()

  A certificate registry always exports all the certificates in the registry thus does not support export constraints.

  Specified by:
    `getSupportedExportConstraints` in interface `ExportMBean`
  Default value:
    ""
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedExportFormats

    public String[] getSupportedExportFormats()

  A certificate registry exports trusted CAs to a JKS keystore. The keystore must not already exist.

  Specified by:
    `getSupportedExportFormats` in interface `ExportMBean`
  Default value:
    "JKS KeyStore"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportConstraints

    public String[] getSupportedImportConstraints()

  A certificate registry always imports all the certificates in a keystore (identities and trusted CAs) thus does not support export constraints.

  Specified by:
    `getSupportedImportConstraints` in interface `ImportMBean`
  Default value:
    ""
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportFormats

    public String[] getSupportedImportFormats()

  A certificate registry imports trusted CAs from a JKS keystore.

  Specified by:
    `getSupportedImportFormats` in interface `ImportMBean`
  Default value:
    "JKS KeyStore"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### listAliases

    public String listAliases(String aliasWildcard,
                              int maxToReturn)
                       throws weblogic.management.utils.InvalidCursorException,
                              weblogic.management.utils.InvalidParameterException

  Lists the registered aliases that match a wild card.Returns a String containing a cursor that may be passed into the NameListerMBean methods to read the list. The getCurrentName method returns the current alias on the list.

  Parameters:
    `aliasWildcard` - - A wild card used to select aliases. It supports three formats: "*" matches all aliases. "foo*" matches all aliases starting with the string "foo". "foo" matches the alias "foo" only. The matches are case-insensitive.
    `maxToReturn` - - The maximum number of aliases this method may return. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort the results. Set this parameter to zero to return all matching aliases.
  Throws:
    `weblogic.management.utils.InvalidCursorException`
    `weblogic.management.utils.InvalidParameterException`

### registerCertificate

    public void registerCertificate(String alias,
                                    String certificateFile)
                             throws weblogic.management.utils.AlreadyExistsException,
                                    weblogic.management.utils.InvalidParameterException

  Registers an end certificate in the registry under an alias. Throws InvalidParameterException if the alias or certificateFile is empty or null or if the file does not exist or cannot be read.

  Parameters:
    `alias` - - The alias to register the certificate under. It must not be empty or null. Aliases are case-insensitive.
    `certificateFile` - - The pathname (relative to the directory the admin server is booted from) of a PEM or DER file containing the certificate to be registered.
  Throws:
    `weblogic.management.utils.AlreadyExistsException`
    `weblogic.management.utils.InvalidParameterException`

### unregisterCertificate

    public void unregisterCertificate(String alias)
                               throws weblogic.management.utils.NotFoundException,
                                      weblogic.management.utils.InvalidParameterException

  Unregisters an end certificate from the registry. Throws InvalidParameterException if alias is empty or null.

  Parameters:
    `alias` - - The alias the certificate is registered under. It must not be empty or null. Aliases are case-insensitive.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD